import { expect, test } from '@playwright/test'

test('Can create new show.', async ({ page }) => {
  await page.goto('/')
  await page.getByTestId('navbar:shows').click()
  await page.getByTestId('show-selector:add-show').click()
  await page.getByTestId('add-show-modal:show-name').fill('my series')
  await page.getByTestId('add-show-modal:show-description').fill('my series description')
  await page.getByTestId('add-show-modal:show-type').selectOption({ index: 0 })
  await page.getByTestId('add-show-modal:show-funding-category').selectOption({ index: 0 })
  await page.getByRole('button', { name: 'OK' }).click()
  await expect(page.getByTestId('page-header:selected-show-name')).toHaveText('my series')
})
